This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1284661 - "is already cached" message would be easier to read if attempting to cache a cache
"is already cached" message would be easier to read if attempting to cache a ...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.2
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Zdenek Kabelac
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 14:44 EST by Corey Marthaler
Modified: 2017-07-27 16:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2015-11-23 14:44:26 EST
Description of problem:

# Already mirrored
[root@host-122 ~]# lvconvert -m 1 vg/mirror
  vg/mirror already has image count of 2.

# Already a thin pool 
[root@host-122 ~]# lvconvert --type thin-pool vg/tpool
  LV vg/tpool is already pool.

# Wouldn't just a "is already cached" message be easier to read here?
[root@host-122 ~]# lvcreate --type cache-pool -n cpool -L 100M vg
  Logical volume "cpool" created.
[root@host-122 ~]# lvcreate --type cache -L 100M -n corigin --cachepool vg/cpool
  Logical volume "corigin" created.

[root@host-122 ~]# lvconvert --type cache corigin --cachepool vg/cpool
  Cache is not supported with cache segment type of the original logical volume vg/corigin.
[root@host-122 ~]# lvconvert --type cache vg/corigin --cachepool vg/cpool
  Cache is not supported with cache segment type of the original logical volume vg/corigin.


Version-Release number of selected component (if applicable):
3.10.0-327.el7.x86_64
lvm2-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
lvm2-libs-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
lvm2-cluster-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-1.02.107-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-libs-1.02.107-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-event-1.02.107-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-event-libs-1.02.107-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
device-mapper-persistent-data-0.5.5-1.el7    BUILT: Thu Aug 13 09:58:10 CDT 2015
cmirror-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015
sanlock-3.2.4-1.el7    BUILT: Fri Jun 19 12:48:49 CDT 2015
sanlock-lib-3.2.4-1.el7    BUILT: Fri Jun 19 12:48:49 CDT 2015
lvm2-lockd-2.02.130-5.el7    BUILT: Wed Oct 14 08:27:29 CDT 2015

Note You need to log in before you can comment on or make changes to this bug.